# $Revision: 1.357 $, $Date: 2012/02/11 09:20:28 $
#
# Conditional build:
%bcond_with	allarchs	# enable all targets
# define addtargets x,y,z	# build with additional targets x,y,z (e.g. x86_64-linux)
				# http://sourceware.org/ml/binutils/2008-03/msg00162.html
%bcond_without	pax		# without PaX flags (for upstream bugreports)
%bcond_without	default_ld	# default ld instead of gold
%bcond_without	tests
#
Summary:	GNU Binary Utility Development Utilities
Summary(de.UTF-8):	GNU Binary Utility Development Utilities
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU
Summary(pl.UTF-8):	Narzędzia GNU dla programistów
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU
Summary(ru.UTF-8):	Набор инструментов GNU для построения исполняемых программ
Summary(tr.UTF-8):	GNU geliştirme araçları
Summary(uk.UTF-8):	Набір інструментів GNU для побудови виконуваних програм
Name:		binutils
Version:	2.22.52.0.1
Release:	3
Epoch:		3
License:	GPL v3+
Group:		Development/Tools
# http://git.kernel.org/?p=linux/kernel/git/hjl/binutils.git;a=summary
# git archive --prefix=binutils-2.22.51.0.1/ -o binutils-2.22.51.0.1.tar remotes/origin/linux/release/2.22.51.0.1
Source0:	http://www.kernel.org/pub/linux/devel/binutils/%{name}-%{version}.tar.bz2
# Source0-md5:	21847df8f55f006d1a2f683d9479919b
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	a717d9707ec77d82acb6ec9078c472d6
Patch0:		%{name}-gasp.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-libtool-relink.patch
Patch3:		%{name}-pt_pax_flags.patch
Patch5:		%{name}-discarded.patch
Patch6:		%{name}-absolute-gnu_debuglink-path.patch
Patch7:		%{name}-libtool-m.patch
Patch8:		%{name}-build-id.patch
Patch9:		%{name}-tooldir.patch
Patch10:	%{name}-bug-13675.patch
Patch11:	%{name}-weakdef.patch
URL:		http://sources.redhat.com/binutils/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel >= 6:4.0-1
BuildRequires:	perl-tools-pod
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRequires:	texinfo >= 4.2
Conflicts:	gcc-c++ < 5:3.3
Conflicts:	modutils < 2.4.17
Obsoletes:	binutils-gold
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

%description -l es.UTF-8
Binutils es una colección de utilitarios necesarios para compilar
programas. Incluye assembler y linker, así como varios otros programas
para trabajar con formatos que se puedan ejecutar.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

%description -l pt_BR.UTF-8
binutils é uma coletânea de utilitários necessários para compilar
programas. Inclui assembler e linker, assim como vários outros
programas para trabalhar com formatos executáveis.

%description -l ru.UTF-8
binutils - это набор инструментов, необходимых для компилляции
программ. Включает ассемблер, компоновщик и набор других программ для
работы с исполняемыми файлами разнообразных форматов.

%description -l uk.UTF-8
binutils - це набір інструментів, необхідних для компіляції програм.
Містить асемблер, компоновщик та інші програми, необхідні для роботи з
виконуваними файлами різних форматів.

%package libs
Summary:	GNU binutils shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone GNU binutils
Group:		Libraries
Conflicts:	binutils < 3:2.17.50.0.8-3

%description libs
GNU binutils shared libraries (libbfd, libopcodes).

%description libs -l pl.UTF-8
Biblioteki współdzielone GNU binutils (libbfd, libopcodes).

%package devel
Summary:	Development files for GNU binutils libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek GNU binutils
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
Development files for GNU binutils libraries (libbfd, libopcodes) and
static libiberty library.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek GNU binutils (libbfd, libopcodes) oraz
statyczna biblioteka libiberty.

%package static
Summary:	GNU binutils static libraries
Summary(pl.UTF-8):	Biblioteki statyczne do GNU binutils
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
#Requires:	zlib-static

%description static
Static GNU binutils libraries (libbfd, libopcodes).

%description static -l pl.UTF-8
Biblioteki statyczne GNU binutils (libbfd, libopcodes).

%package gasp
Summary:	GASP - old preprocessor for assembly programs
Summary(pl.UTF-8):	GASP - stary preprocesor dla programów w asemblerze
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gasp
GASP - old preprocessor for assembly programs. It's officially
obsoleted, but it's still needed to build some packages.

%description gasp -l pl.UTF-8
GASP - stary preprocesor dla programów w asemblerze. Jest oficjalnie
uznany za przestarzały, ale jest nadal potrzebny do zbudowania
niektórych pakietów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?with_pax:%patch3 -p1}
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1

# file contains hacks for ac 2.59 only
%{__rm} config/override.m4

%build
%{__aclocal}
%{__autoconf}

# non-standard regeneration (needed because of gasp patch)
# AM_BINUTILS_WARNINGS in bfd/warning.m4, ZW_GNU_GETTEXT_SISTER_DIR in config/gettext-sister.m4
for dir in gas bfd; do
	cd $dir || exit 1
	%{__aclocal} -I .. -I ../config -I ../bfd
	%{__automake} Makefile
	%{__automake} doc/Makefile
	%{__autoconf}
	cd ..
done

# More targets
TARGETS=
%ifarch ia64
TARGETS=i686-linux
%endif
# uhm?
%ifarch %{ix86}
TARGETS=x86_64-linux
%endif
%ifarch sparc
TARGETS=sparc64-linux
%endif
%{?addtargets:TARGETS="%{addtargets}"}

cp -f /usr/share/automake/config.* .
CFLAGS="%{rpmcflags}"; export CFLAGS
CXXFLAGS="%{rpmcxxflags}"; export CXXFLAGS
CC="%{__cc}"; export CC
CXX="%{__cxx}"; export CXX
%ifarch sparc
sparc32 \
%endif
./configure %{_target_platform} \
	--disable-debug \
	--disable-werror \
	--enable-build-warnings=,-Wno-missing-prototypes \
	--enable-shared \
	--enable-lto \
	--enable-plugins \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--with-tooldir=%{_prefix} \
	%{!?with_allarchs:`[ -n "${TARGETS}" ] && echo "--enable-targets=${TARGETS}"`} \
%ifarch sparc
	--enable-64-bit-bfd \
%else
	%{?with_allarchs:--enable-64-bit-bfd} \
%endif
	%{?with_allarchs:--enable-targets=alpha-linux,arm-linux,cris-linux,hppa-linux,i386-linux,ia64-linux,x86_64-linux,m68k-linux,mips-linux,mips64-linux,mips64el-linux,mipsel-linux,ppc-linux,s390-linux,s390x-linux,sh-linux,sparc-linux,sparc64-linux,i386-linuxaout} \
%ifarch %{ix86} %{x8664}
	--enable-gold%{!?with_default_ld:=default} --enable-ld%{?with_default_ld:=default} \
%endif

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_infodir}/standards.info*

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/{dlltool,nlmconv,windres}.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install include/libiberty.h $RPM_BUILD_ROOT%{_includedir}
install libiberty/pic/libiberty.a $RPM_BUILD_ROOT%{_libdir}

# remove evil -L pointing inside builder's home
perl -pi -e 's@-L[^ ]*/pic @@g' $RPM_BUILD_ROOT%{_libdir}/libbfd.la

[ -x $RPM_BUILD_ROOT%{_bindir}/ld.bfd ] || ln $RPM_BUILD_ROOT%{_bindir}/ld{,.bfd}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang bfd
%find_lang binutils
%find_lang gas
%find_lang gprof
touch ld.lang
%find_lang ld
%ifarch %{ix86} %{x8664}
%find_lang gold
%else
:> gold.lang
%endif
%find_lang opcodes
cat bfd.lang opcodes.lang > %{name}-libs.lang
cat gas.lang gprof.lang ld.lang gold.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/addr2line
%attr(755,root,root) %{_bindir}/ar
%attr(755,root,root) %{_bindir}/as
%attr(755,root,root) %{_bindir}/c++filt
%attr(755,root,root) %{_bindir}/elfedit
%attr(755,root,root) %{_bindir}/gprof
%attr(755,root,root) %{_bindir}/ld
%attr(755,root,root) %{_bindir}/ld.bfd
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_bindir}/ld.gold
%endif
%attr(755,root,root) %{_bindir}/nm
%attr(755,root,root) %{_bindir}/objcopy
%attr(755,root,root) %{_bindir}/objdump
%attr(755,root,root) %{_bindir}/ranlib
%attr(755,root,root) %{_bindir}/readelf
%attr(755,root,root) %{_bindir}/size
%attr(755,root,root) %{_bindir}/strings
%attr(755,root,root) %{_bindir}/strip
%{_infodir}/as.info*
%{_infodir}/binutils.info*
%{_infodir}/configure.info*
%{_infodir}/gprof.info*
%{_infodir}/ld.info*
%{_prefix}/lib/ldscripts
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files libs -f %{name}-libs.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfd-*.so
%attr(755,root,root) %{_libdir}/libopcodes-*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfd.so
%attr(755,root,root) %{_libdir}/libopcodes.so
%{_libdir}/libbfd.la
%{_libdir}/libopcodes.la
%{_libdir}/libiberty.a
%{_includedir}/ansidecl.h
%{_includedir}/bfd.h
%{_includedir}/bfdlink.h
%{_includedir}/dis-asm.h
%{_includedir}/libiberty.h
%{_includedir}/plugin-api.h
%{_includedir}/symcat.h
%{_infodir}/bfd.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libbfd.a
%{_libdir}/libopcodes.a

%files gasp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gasp
%{_infodir}/gasp.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: binutils.spec,v $
Revision 1.357  2012/02/11 09:20:28  arekm
- rel 3; upstream fix for noop on < i686; run test suite

Revision 1.356  2012/02/10 22:45:31  megabajt
- added -weakdef.patch

Revision 1.355  2012/02/09 10:34:12  jajcus
- -i586_nop.patch: fix linking for older x86 processors (disable use of multi
  byte NOP on those archs)
- Release: 2

Revision 1.354  2012/02/01 06:07:20  arekm
- up to 2.22.52.0.1

Revision 1.353  2011/11/19 09:45:34  pluto
- updated to 2.22.51.0.1 (direct git export, no official tarballs).

Revision 1.352  2011/10/19 10:19:45  arekm
- rel 2; revert back to ld bfd (gold causes problems; broken linking (heimdal); lack of support for some things (samba); grep our-ld

Revision 1.351  2011/09/21 13:00:26  baggins
- comment out zlib-static R

Revision 1.350  2011/09/21 11:48:57  baggins
- static R: zlib-static

Revision 1.349  2011/08/06 06:15:17  arekm
- up to 2.21.53.0.2

Revision 1.348  2011/07/19 04:37:30  arekm
- up to 2.21.53.0.1

Revision 1.347  2011/07/03 06:18:39  arekm
- rel 4; make gold ignore -Lfile

Revision 1.346  2011/06/27 18:25:05  arekm
- rel 3; enable plugins

Revision 1.345  2011/06/27 16:23:33  arekm
- rel 2; gold by default, enable lto

Revision 1.344  2011/06/12 06:43:28  arekm
- up to 2.21.52.0.2

Revision 1.343  2011/06/08 21:52:30  arekm
- up to 2.21.52.0.1

Revision 1.342  2011/06/08 08:23:25  pluto
- emit proper warning about relocation in shared objects' text segment
  instead of memory gpf.
  ld: warning: relocation in readonly section `.rodata'.
  ld: warning: creating a DT_TEXTREL in a shared object.
- release 4.

Revision 1.341  2011/06/07 10:55:11  arekm
- release 3

Revision 1.340  2011/06/04 17:46:47  pluto
- release 2.

Revision 1.339  2011/06/02 20:24:34  pluto
- fix --start/end-group vs. --whole-archive gold failure.

Revision 1.338  2011/06/02 19:21:58  arekm
- default ld for now (we will switch to gold by default at the same time when we switch to gcc 4.6.1)

Revision 1.337  2011/05/28 06:20:48  qboosh
- preserve non-x86 support in spec

Revision 1.336  2011/05/10 15:31:02  qboosh
- updated to 2.21.51.0.9
- updated gasp patch

Revision 1.335  2011/04/10 10:08:01  arekm
- up to 2.21.51.0.8

Revision 1.334  2011/03/27 11:53:18  arekm
- rel 2; merge gold into main subpackage and use it by default; update build-id patch

Revision 1.333  2011/03/10 18:14:47  qboosh
- updated to 2.21.51.0.7

Revision 1.332  2011/01/19 07:26:13  arekm
- up to 2.21.51.0.6

Revision 1.331  2011/01/05 17:46:36  qboosh
- updated to 2.21.51.0.5

Revision 1.330  2010/12/17 16:50:37  qboosh
- updated to 2.21.51.0.4

Revision 1.329  2010/12/08 18:05:52  qboosh
- updated to 2.21.51.0.2

Revision 1.328  2010/11/20 11:54:36  qboosh
- updated to 2.21.51.0.1
- updated info patch

Revision 1.327  2010/10/22 18:31:40  arekm
- up to 2.20.51.0.12

Revision 1.326  2010/08/12 18:15:09  qboosh
- pass CXX/CXXFLAGS (used for gold)

Revision 1.325  2010/08/12 07:59:02  qboosh
- updated to 2.20.51.0.11
- updated info patch

Revision 1.324  2010/05/27 20:26:13  arekm
- up to 2.20.51.0.9

Revision 1.323  2010/04/14 06:46:02  arekm
- up to 2.20.51.0.8

Revision 1.322  2010/03/18 21:15:04  arekm
- up to 2.20.51.0.7

Revision 1.321  2010/02/19 21:47:29  sparky
- link ld.bfd to ld if necessary (link not created if building without gold)

Revision 1.320  2010/02/19 21:02:08  qboosh
- gold as optional subpackage

Revision 1.319  2010/02/07 16:33:25  arekm
- up to 2.20.51.0.6

Revision 1.318  2010/01/21 17:50:26  pluto
- updated to 2.20.51.0.5.

Revision 1.317  2009/12/20 20:06:52  arekm
- up to 2.20.51.0.4

Revision 1.316  2009/11/11 19:52:08  arekm
- up to 2.20.51.0.3

Revision 1.315  2009/10/10 18:10:42  arekm
- up to 2.20.51.0.2

Revision 1.314  2009/09/08 19:16:35  arekm
- rel 2

Revision 1.313  2009/09/08 19:11:10  arekm
- up to 2.20.51.0.1

Revision 1.312  2009/07/23 14:32:34  arekm
- up to 2.19.51.0.14

Revision 1.311  2009/07/21 23:32:35  arekm
- up to 2.19.51.0.13

Revision 1.310  2009/07/17 05:32:07  arekm
- up to 2.19.51.0.12

Revision 1.309  2009/06/28 16:32:51  arekm
- up to 2.19.51.0.11

Revision 1.308  2009/06/20 05:03:09  arekm
- up to 2.19.51.0.10

Revision 1.307  2009/06/07 09:36:47  arekm
- up to 2.19.51.0.9

Revision 1.306  2009/06/03 18:59:15  arekm
- up to 2.19.51.0.8

Revision 1.305  2009/06/01 17:55:00  arekm
- up to 2.19.51.0.7

Revision 1.304  2009/04/22 11:00:35  sparky
- no need to add -fno-strict-aliasing

Revision 1.303  2009/04/21 23:42:50  sparky
- added tooldir patch, specify tooldir at configure time instead of passing to make
- dropped -j1 and other make hacks, not needed anymore
- use DESTDIR in make install (tooldir used to brake it, now it doesn't)
- gold also supported on sparc64, ppc and ppc64
- drop R: %{name} in main package (useless)

Revision 1.302  2009/04/21 07:38:04  arekm
- up to 2.19.51.0.4

Revision 1.301  2009/03/23 07:47:31  arekm
- rel 2; add build-id patch from fc (we are going to start using build-id feature in th)

Revision 1.300  2009/03/10 20:55:15  pluto
- updated to 2.19.51.0.3.

Revision 1.299  2009/02/08 19:56:15  arekm
- up to 2.19.51.0.2

Revision 1.298  2009/01/06 19:19:51  arekm
- up to 2.19.51.0.1

Revision 1.297  2008/10/07 23:07:54  pluto
- updated to 2.19.50.0.1.

Revision 1.296  2008/08/25 19:38:24  pluto
- the right uri.

Revision 1.295  2008/08/24 14:50:10  pluto
- updated to 2.18.50.0.9.

Revision 1.294  2008/07/26 19:23:52  pluto
- link gold announce (it's in beta stage and has bugs (kernel doesn't boot)).

Revision 1.293  2008/07/26 13:17:48  pluto
- BR: libstdc++-devel for gold.

Revision 1.292  2008/07/16 18:40:21  qboosh
- updated to 2.18.50.0.8

Revision 1.291  2008/06/18 20:26:12  adamg
- gold bcond

Revision 1.290  2008/06/18 19:59:08  arekm
- rel 2

Revision 1.289  2008-05-05 19:19:21  pluto
- updated to 2.18.50.0.7.

Revision 1.288  2008-04-03 20:54:47  pluto
- updated to 2.18.50.0.6.

Revision 1.287  2008-04-02 20:08:56  pluto
- fix checking of weak+hidden symbols, fix crash, release 2.

Revision 1.286  2008-03-18 07:43:29  qboosh
- updated info patch to cover one more file

Revision 1.285  2008-03-14 19:52:16  arekm
- up to 2.18.50.0.5

Revision 1.284  2008-03-06 21:12:01  qboosh
- release 4 not epoch

Revision 1.283  2008-03-06 21:07:45  arekm
- rel 4; fix binutils bugzilla 5788 (memory corruption bug)

Revision 1.282  2008-03-04 09:37:56  arekm
- rel 3

Revision 1.281  2008-02-16 20:57:59  arekm
- rel 2; fix for upstream pr 5755 (the fix is revert actually)

Revision 1.280  2008-02-09 13:59:17  glen
- check-files cleanup

Revision 1.279  2008-02-09 13:53:00  glen
- no ldconfig in main package

Revision 1.278  2008-02-08 18:27:23  arekm
- up to 2.18.50.0.4

Revision 1.277  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.276  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.275  2007-11-04 17:25:07  arekm
- up to 2.18.50.0.3

Revision 1.274  2007/10/23 06:21:40  qboosh
- updated to 2.18.50.0.2
- updated absolute-gnu_debuglink-path hack
- bconded pax patch (it "taints" created ELFs making some bug reports problematic)

Revision 1.273  2007/09/15 21:50:36  qboosh
- updated to 2.18.50.0.1
- updated info,pt_pax_flags patches

Revision 1.272  2007/08/01 20:19:24  qboosh
- v3+

Revision 1.271  2007/08/01 18:37:11  pluto
- updated to 2.17.50.0.18, new license gplv3.

Revision 1.270  2007/06/22 06:10:55  qboosh
- updated to 2.17.50.0.17
- updated libtool-relink patch, removed obsolete pr4497 patch

Revision 1.269  2007/06/16 18:55:18  sls
- added patch pr4497.patch (https://bugs.pld-linux.org/show_bug.cgi?id=23)
- rel. 2

Revision 1.268  2007/05/11 17:42:18  arekm
- up to 2.17.50.0.16

Revision 1.267  2007/04/19 19:07:08  pluto
- updated to 2.17.50.0.15.

Revision 1.266  2007/03/23 18:41:11  pluto
- updated to 2.17.50.0.14.

Revision 1.265  2007/03/16 20:00:49  pluto
- updated to 2.17.50.0.13.
  this version allow linux/i386 linker to read freebsd/i386 object files,
  so madwifi-ng blobs should be happy.

Revision 1.264  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.263  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.262  2007/01/28 18:06:53  arekm
- up to 2.17.50.0.12

Revision 1.261  2007/01/27 06:37:09  sparky
- force -j1 (fails to build with -j2)

Revision 1.260  2007/01/26 20:27:07  pluto
- release 1.

Revision 1.259  2007/01/26 05:54:13  pluto
- updated to 2.17.50.0.11, release 0.1.

Revision 1.258  2007/01/23 20:22:45  pluto
- updated to 2.17.50.0.10, gasp, pt_pax patches updated.

Revision 1.257  2007/01/06 23:32:55  qboosh
- no macro in Conflicts for old package

Revision 1.256  2007/01/04 13:18:52  pluto
- updated to 2.17.50.0.9.

Revision 1.255  2007/01/01 21:26:18  glen
- conflicts before -libs split

Revision 1.254  2006/12/30 18:18:43  qboosh
- bugfix

Revision 1.253  2006/12/30 18:11:20  qboosh
- separated -libs,-devel (for multilib purposes); release 3

Revision 1.252  2006/12/30 17:40:42  qboosh
- added libtool-m patch (allows to build 32-bit binutils using multilib compiler)

Revision 1.251  2006/12/06 15:38:53  pluto
- fix PR ld/3666: comdat/linkonce symbol visibility merging, release 2.

Revision 1.250  2006/12/03 15:16:22  arekm
- up to 2.17.50.0.8

Revision 1.249  2006/11/29 19:45:40  qboosh
- updated to 2.17.50.0.7

Revision 1.248  2006/10/20 21:01:27  pluto
- updated to 2.17.50.0.6.

Revision 1.247  2006/10/20 19:56:36  pluto
- fix PR ld/3314 (linker incorrectly aligns empty sections), release 3.

Revision 1.246  2006/10/02 08:19:43  pluto
- patch for PR ld/3290 updated, release 2.2.

Revision 1.245  2006/09/30 07:41:07  pluto
- fix PR ld/3290, release 2.1.

Revision 1.244  2006/09/29 18:15:40  pluto
- patch for PR ld/3191 updated, release 2 and rebuild.

Revision 1.243  2006/09/28 13:05:22  pluto
- pr3262 patch merged.

Revision 1.242  2006/09/28 13:03:40  pluto
- updated to 2.17.50.0.5.

Revision 1.241  2006/09/27 08:44:34  pluto
- fix PR binutils/3262 (uninitialized fields in segment map), release 2.

Revision 1.240  2006/09/25 07:36:37  pluto
- updated to 2.17.50.0.4.

Revision 1.239  2006/09/22 10:14:23  pluto
- PR ld/3191 patch updated, release 2.3.

Revision 1.238  2006/09/21 09:44:06  pluto
- PR ld/3191 patch updated, log fixed, release 2.2.

Revision 1.237  2006/09/20 09:40:17  pluto
- fix PR ld/3191 (properly handle DW_FORM_ref_addr), release 2.1.

Revision 1.236  2006/09/11 08:31:26  pluto
- fix PR/3110: unsupported relocation type {R_SPARC_H44, R_SPARC_WDISP30, R_SPARC_64}
- fix PR/3166: --only-keep-debug doesn't work on .o files with group
- fix PR/3186: symbol `.debug_abbrev' required but not present
- release 2.

Revision 1.235  2006/09/02 17:57:23  pluto
- absolute paths in .gnu-debuglink section works now, release 1.1.

Revision 1.234  2006/07/17 09:06:39  qboosh
- updated to 2.17.50.0.3, updated gasp,pt_pax_flags,mips-recocs patches
  (strip) no longer fails on NVIDIA tls/libnvidia-tls.so*

Revision 1.233  2006/06/19 12:27:31  pluto
- release 2.

Revision 1.232  2006/06/08 20:12:13  qboosh
- updated gasp patch and install, builds now

Revision 1.231  2006/05/28 11:24:58  pluto
- updated to 2.17.50.0.2.

Revision 1.230  2006/05/10 13:55:50  qboosh
- updated to 2.17.50.0.1

Revision 1.229  2006/03/21 20:07:38  qboosh
- updated to 2.16.91.0.7, updated pt_pax_flags patch

Revision 1.228  2006/02/16 21:29:21  pluto
- updated to 2.16.91.0.6.

Revision 1.227  2005/12/21 22:47:48  qboosh
- updated to 2.16.91.0.5, updated mips-relocs patch

Revision 1.226  2005/11/14 09:42:41  qboosh
- updated to 2.16.91.0.4 (builds on x86; not tested yet)

Revision 1.225  2005/10/28 11:26:12  pluto
- release 4 for Th (rebuild with fixed gcc41 and new epoch).

Revision 1.224  2005/10/21 10:34:12  qboosh
- epoch 3 following AC-branch

Revision 1.223  2005/09/21 09:36:01  pluto
- -Werror disabled due to gasp build errors (!= aliasing violations).
- release 3 for Th.

Revision 1.222  2005/09/21 09:23:26  pluto
- enable -Werror, pass -fno-strict-aliasing.

Revision 1.221  2005/09/04 09:36:01  qboosh
- discarded patch is back (updated); release 2

Revision 1.220  2005/08/25 11:31:23  trojan
- updated to 2.16.91.0.3

Revision 1.219  2005/07/21 18:56:00  arekm
- rel 2

Revision 1.218  2005/07/21 18:45:25  arekm
- up to 2.16.91.0.2

Revision 1.217  2005/07/07 06:28:31  qboosh
- fixed version in rev. 1.215 changelog entry

Revision 1.216  2005/07/05 17:23:54  pluto
- release 2 for Th.

Revision 1.215  2005/06/27 19:37:56  qboosh
- updated to 2.16.91.0.1 (seems to fix CAN-2005-1704)
- removed obsolete (again) discarded patch, updated gasp patch

Revision 1.214  2005/06/02 14:18:33  glen
- TODO security

Revision 1.213  2005/05/13 13:13:10  pluto
- my stupid bug reverted.

Revision 1.212  2005/05/13 12:18:59  pluto
- release 3 for Th.

Revision 1.211  2005/05/12 21:17:16  qboosh
- added discarded patch (degrade one linking error to warning)
- release 2

Revision 1.210  2005/05/12 17:32:47  witekfl
- disable-werror for gcc 4

Revision 1.209  2005/05/11 22:37:50  qboosh
- updated to 2.16.90.0.3, updated gasp patch

Revision 1.208  2005/05/03 09:57:22  pluto
- release 2 for Th.

Revision 1.207  2005/05/02 16:23:52  qboosh
- dropped libdir* mess

Revision 1.206  2005/05/02 14:37:29  qboosh
- updated to 2.16.90.0.2, updated gasp patch
- removed obsolete needed,pr815,pr872 patches

Revision 1.205  2005/04/25 14:29:51  pluto
- objcopy fix.

Revision 1.204  2005/04/15 19:48:48  pluto
- release 1.

Revision 1.203  2005/04/15 11:50:59  pluto
- PR ld/815 fixed.

Revision 1.202  2005/04/13 09:20:47  qboosh
- added needed patch (from binutils list), ld seems to work now; release 0.2

Revision 1.201  2005/04/12 21:46:12  qboosh
- back to hjl versions, updated to 2.16.90.0.1 (but libstdc++ linking is still broken)
- removed obsolete array-sects-compat patch
- added flex patch, pass -Wno-missing-prototypes to kill flex-caused warnings

Revision 1.200  2005/03/23 20:33:06  pluto
- updated to 2.15.96 (gcc4 fixes included).
- release 0.1.

Revision 1.199  2005/03/23 18:41:56  mmazur
- bug 586 is fixed

Revision 1.198  2005/02/19 23:18:26  qboosh
- "cosmetics" breakage reverted, NOP removed

Revision 1.197  2005/02/19 22:25:05  paszczus
- another way

Revision 1.196  2005/02/19 22:19:21  paszczus
- quick fix (testing)

Revision 1.195  2005/02/19 21:58:20  paszczus
- cosmetics (by sebastian at oclab.ano.pl)

Revision 1.194  2005/02/18 09:33:19  qboosh
- updated to 2.15.94.0.2.2

Revision 1.193  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.192  2004/12/21 23:16:08  pluto
- updated to 2.15.94.0.2.

Revision 1.191  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.190  2004/11/28 00:58:04  qboosh
- TODO: bug gas/584 (breaks libunwind on amd64)

Revision 1.189  2004/11/23 23:30:45  qboosh
- updated mips-relocs patch

Revision 1.188  2004/11/23 12:21:31  arekm
- updated to 2.15.94.0.1

Revision 1.187  2004/10/16 13:59:42  mmazur
- rel 3 for th

Revision 1.186  2004/10/16 11:33:40  pluto
- ld core dumps on bad flags from gcc fixed (PR453/437).
- release 2.

Revision 1.185  2004/10/16 08:22:27  pluto
- TODO += PR453.

Revision 1.184  2004/10/02 12:16:15  pluto
- updated to 2.15.92.0.2.
- release 1.

Revision 1.183  2004/10/01 04:55:43  pluto
- PR414 fixed.
- release 3.

Revision 1.182  2004/09/29 17:13:56  pluto
- BUGS updated (PR189 depends on PR414). Thx to H.J.Lu for info.

Revision 1.181  2004/09/23 21:24:20  pluto
- += BUGS.

Revision 1.180  2004/08/18 22:06:42  pluto
- oops, %patchX added.

Revision 1.179  2004/08/18 22:02:17  pluto
- added pr338 patch.

Revision 1.178  2004/08/05 18:46:00  qboosh
- added pr290 patch, release 2

Revision 1.177  2004/07/28 20:03:06  qboosh
- mips-relocs patch is back (updated)

Revision 1.176  2004/07/28 18:56:55  qboosh
- updated to 2.15.91.0.2, removed obsolete eh-frame-ro and elf-sort patches
- dropped ia64-bootstrap patch (not used since long time, not needed)
- mips-relocs patch partially merged - needs check if the rest is needed

Revision 1.175  2004/07/19 13:34:14  qboosh
- added elf-sort patch, release 2

Revision 1.174  2004/07/19 11:02:47  qboosh
- mips-relocs patch needs -p0, fixed

Revision 1.173  2004/07/19 11:01:01  qboosh
- added mips-relocs patch

Revision 1.172  2004/05/30 01:02:08  qboosh
- updated to 2.15.91.0.1, updated pt_pax_flags patch, removed obsolete gas patches

Revision 1.171  2004/05/25 07:00:11  pluto
- [sparch64] opcodes fixed.
  (gas complains "There are only 32 single precision f registers; [0-31]"
   when compiling eg. glibc-2.3.2/math/dosincos.c
   more info: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15247)
- release 3.

Revision 1.170  2004/05/17 15:46:47  qboosh
- added gas-fix patch (glibc build was broken); release 2

Revision 1.169  2004/04/17 18:43:21  qboosh
- updated to 2.15.90.0.3

Revision 1.168  2004/03/17 11:30:40  pluto
- PaX support added.

Revision 1.167  2004/03/07 16:16:13  qboosh
- updated to 2.15.90.0.1.1 bugfix release, updated gasp and info patches
- as.1 is no longer missing, but regeneration stays for gasp changes

Revision 1.166  2004/03/05 23:32:28  qboosh
- added temporary workaround for missing as(1) manual

Revision 1.165  2004/03/04 00:39:56  arekm
- updated to 2.15.90.0.1

Revision 1.164  2004/01/15 10:39:24  qboosh
- md5

Revision 1.163  2004/01/15 10:38:44  qboosh
- updated to 2.14.90.0.8, updated gasp patch, removed obsolete gas-alpha-segv patch
- new-style bcond, added addtargets macro to add only selected targets

Revision 1.162  2003/11/24 00:00:53  qboosh
- added gas-alpha-segv patch; release 3

Revision 1.161  2003/11/17 21:40:01  arekm
- use PIC version of libiberty.a

Revision 1.160  2003/11/17 16:48:22  arekm
- pass libdir to configure and fix ldscripts location

Revision 1.159  2003/11/17 16:35:50  arekm
- enable some targets only if TARGETS variable is not empty

Revision 1.158  2003/11/16 19:59:41  arekm
- enable more targets in some specific cases; rel 2

Revision 1.157  2003/11/04 08:46:14  qboosh
- cleanup

Revision 1.156  2003/11/04 00:21:43  qboosh
- up to 2.14.90.0.7, updated gasp and info patches
- removed obsolete sparc-cfi patch

Revision 1.155  2003/10/05 16:39:23  adasi
- added x86_64-linux target for 'allarchs'

Revision 1.154  2003/09/25 05:54:38  misi3k
- cosmetics

Revision 1.153  2003/09/25 05:51:15  misi3k
- enable-64-bit-bfd on sparc

Revision 1.152  2003/09/07 19:35:01  djurban
- enable cfi on ppc and sparc. HOW THE FUCK DO YOU ENABLE THEM ON X86?????
- rel. 2

Revision 1.151  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.150  2003/08/26 11:54:57  misi3k
- updated to 2.14.90.0.6
- rel 1
- sparc64 fixes

Revision 1.149  2003/08/06 16:35:08  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.148  2003/07/31 22:19:04  qboosh
- 2.14.90.0.5

Revision 1.147  2003/07/17 13:39:56  qboosh
- fixed gasp patch for current binutils (^A-in-macros issue)
- release 2

Revision 1.146  2003/06/25 12:50:28  trojan
- updated to 2.14.90.0.4.1

Revision 1.145  2003/06/23 21:44:22  qboosh
- added epoch to gcc Conflicts

Revision 1.144  2003/06/23 17:15:10  jareq
- fixed epoch:version issue

Revision 1.143  2003/06/02 15:18:32  ankry
- added/changed non-english-man-pages URL

Revision 1.142  2003/06/01 10:51:53  qboosh
- added libtool-relink patch to correctly link libopcodes with libbfd

Revision 1.141  2003/05/26 10:59:00  trojan
- updated to 2.14.90.0.4

Revision 1.140  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.139  2003/05/25 05:45:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.138  2003/05/19 09:42:15  trojan
- updated to 2.14.90.0.2

Revision 1.137  2003/05/17 06:29:34  qboosh
- c++filt is back (with es manual in non-english*)
- Conflicts: gcc-c++ < 3.3 (because of c++filt)
- release 2

Revision 1.136  2003/05/12 20:32:09  qboosh
- BR: texinfo >= 4.2

Revision 1.135  2003/05/06 08:15:55  trojan
- updated to 2.14.90.0.1

Revision 1.134  2003/04/20 22:31:51  qboosh
- remove evil -L from libbfd.la
- BR: perl-tools-pod, whole perl-devel is not necessary
- release 3

Revision 1.133  2003/04/12 08:06:49  kloczek
- release 2,
- removed sparc-nonpic (it cause fail building binutils on sparc and seems it
  is not neccessary now) and ia64-brl patches.

Revision 1.132  2003/03/22 18:58:06  misiek
- updated to 2.13.90.0.20

Revision 1.131  2003/02/02 15:57:56  qboosh
- 2.13.90.0.18
- oh no, they removed gasp! replaced build-gasp patch with full gasp patch,
  moved gasp to subpackage to not provide it by default
- removed obsolete rodata-cst,ppc-apuinfo,stt_tls,tls-strip,ia64-tls,
  alpha-plt,ia64-tls2 patches
- disabled eh-frame-ro,ia64-bootstrap patches - need update

Revision 1.130  2003/01/30 17:41:09  qboosh
- added build-gasp patch - deprecated gasp is still needed for some packages
- release 2

Revision 1.129  2003/01/26 20:58:26  kloczek
- added handle %{_with_allarchs} bcond,
- merge all current RH patches.

Revision 1.128  2002/12/11 14:18:31  qboosh
- BR: gettext-devel (msgfmt)

Revision 1.127  2002/11/28 11:40:47  misiek
- updated to -2.13.90.0.16

Revision 1.126  2002/11/18 10:58:10  qboosh
- 2.13.90.0.14 (fixed some alpha/ELF bugs)
  NOTE: on alpha binutils>2.11(?) require glibc rebuild, and 2.2.5 doesn't build -
  so... glibc 2.3 only

Revision 1.125  2002/11/01 20:05:31  qboosh
- 2.13.90.0.10

Revision 1.124  2002/10/30 17:27:38  mmazur
- from DEVEL

Revision 1.120.2.17  2002/09/06 19:04:03  misiek
- confclits with modutils < 2.4.17

Revision 1.120.2.16  2002/08/17 20:35:48  misiek
- updated to 2.13.90.0.4

Revision 1.120.2.15  2002/08/12 16:45:37  wiget
- updated to 2.13.90.0.3

Revision 1.120.2.14  2002/08/03 16:17:57  misiek
- updated to 2.13.90.0.2

Revision 1.120.2.13  2002/07/23 16:07:45  wiget
- updated to 2.12.90.0.15

Revision 1.120.2.12  2002/07/02 12:28:40  wiget
- updated to 2.12.90.0.14

Revision 1.120.2.11  2002/06/20 22:54:07  misiek
- updated to 2.12.90.0.12

Revision 1.120.2.10  2002/06/11 10:13:43  wiget
- 2.12.90.0.11

Revision 1.120.2.9  2002/05/30 19:47:13  misiek
- updated to 2.12.90.0.9

Revision 1.120.2.8  2002/05/27 20:16:52  filon
- added message catalogs for binutils
- added *.la files
- new rpm found it :-)
- release 2

Revision 1.120.2.7  2002/05/21 20:37:56  qboosh
- one more fix in info patch (as+gas)
- new %doc

Revision 1.120.2.6  2002/05/13 14:19:11  misiek
- updated to 2.12.90.0.7

Revision 1.120.2.5  2002/05/01 00:06:50  qboosh
- libiberty.a moved from -static to base (there is no shared version)
- release 2

Revision 1.120.2.4  2002/04/10 21:18:47  misiek
- updated to 2.12.90.0.4

Revision 1.120.2.3  2002/03/25 08:59:34  misiek
- updated to 2.12.90.0.3 (dosemu problem should be fixed now)

Revision 1.120.2.2  2002/03/11 22:03:31  misiek
- proper CC

Revision 1.120.2.1  2002/03/11 21:53:19  misiek
- updated to 2.12.90.0.1

Revision 1.120  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.119  2002/02/06 09:25:19  misiek
- fix -o in strip; release 4

Revision 1.118  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.117  2002/01/18 02:12:30  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.116  2001/12/29 17:09:32  malekith
- rel 3
- added preserve_e_flags patch from maintainer
  NEEDS TESTING (but it's bugfix)

Revision 1.115  2001/12/16 03:54:01  blues
- downgraded to 2.11.90.0.19
- release 2, epoch 2
- kept new man-pages and translations.
  NOTE: new versions cat /dev/branch

Revision 1.114  2001/12/11 00:38:56  blues
- 2.11.92.0.12.3 (some bugfixes - they have crazy versions)

Revision 1.113  2001/10/23 08:03:30  misiek
- updated to 2.11.92.0.10

Revision 1.112  2001/10/17 08:54:12  misiek
- updated to 2.11.92.0.7

Revision 1.111  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.110  2001/10/16 09:44:51  ankry
- make .tar.bz2 standard non-english-man-pages format

Revision 1.109  2001/10/09 19:21:30  misiek
- updated to 2.11.92.0.5

Revision 1.108  2001/10/06 06:55:30  kloczek
- merged translations stolen from CNV,
- spec adapterized.

Revision 1.107  2001/10/04 10:09:01  misiek
- updated to 2.11.90.0.31

Revision 1.106  2001/10/04 08:49:53  ankry
- removed c++filt from description

Revision 1.105  2001/09/18 15:51:41  ankry
- added non-english (cs, de, fi, fr, hu, ja, pl) man pages
- removed c++filt.1 man page (moved to gcc.spec: gcc-c++)
- increased release to 1

Revision 1.104  2001/08/18 02:51:30  agaran
- Version:        2.11.90.0.27
- Release:        0
- commented bfdbug patch (according to binutils changelog, and patch rejects its fixed)

Revision 1.103  2001/08/09 15:54:02  wiget
- fix bug in ld (bdfbug.patch)
- release 2

Revision 1.102  2001/07/31 12:46:38  malekith
- buildreq perl -> perl-devel (pod2man)

Revision 1.101  2001/07/30 16:43:53  wiget
- 2.11.90.0.25 - this version fixes gas bug triggered by etherboot; kloczek check strip from this binutils too

Revision 1.100  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.98  2001/07/20 12:55:52  wiget
- sparc patch included in main source

Revision 1.97  2001/07/20 12:49:36  wiget
- 2.11.90.0.24

Revision 1.96  2001/06/29 19:21:11  kloczek
- release 2,
- added sparc_unaligned_reloc patch by Jakub Jelinek <jakub@redhat.com> with
  fix incorrect aligment generated code on sparc32.

Revision 1.95  2001/06/22 12:47:45  misiek
- updated to 2.11.90.0.19

Revision 1.94  2001/06/13 22:27:13  misiek
- updated to 2.11.90.0.15

Revision 1.93  2001/05/22 14:14:45  wiget
- don't provide outdated standards.info (new version come from autoconf
  2.50)

Revision 1.92  2001/05/13 09:51:08  misiek
- removed obsolete linker patch
- updated to 2.11.90.0.8

Revision 1.91  2001/05/10 10:48:33  misiek
- detect loop in symbols list (patch)
- release 2

Revision 1.90  2001/05/01 21:27:30  misiek
- updated to 2.11.90.0.7

Revision 1.89  2001/04/27 16:09:11  misiek
- 2.11.90.0.6

Revision 1.88  2001/04/17 16:22:35  areq
- 2.11.90.0.5, STBR

Revision 1.87  2001/02/27 13:53:52  misiek
- 2.10.91.0.4; stb

Revision 1.86  2001/02/18 19:28:45  mis
- updated (by autoup) to 2.10.91.0.2

Revision 1.85  2001/02/10 09:19:26  kloczek
- updated to 2.10.1.0.7.

Revision 1.84  2001/01/29 13:18:27  kloczek
- small sparc dependent fix in %build.

Revision 1.83  2001/01/29 11:06:32  kloczek
- release 2,
- %ifarch sparc then add --enable-targets=sparc64-pld-linux to configure
  parameters.

Revision 1.82  2001/01/25 20:03:21  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.81  2001/01/05 16:14:41  kloczek
- updated to 2.10.1.0.4.

Revision 1.80  2000/12/14 16:42:45  baggins
- release 2
- use RPM_OPT_FLAGS

Revision 1.79  2000/11/14 22:06:46  misiek
- switch back to H.J. Lu version

Revision 1.77  2000/11/09 12:25:32  kloczek
- added URL.

Revision 1.76  2000/10/31 22:07:33  kloczek
- updated to 2.10.0.33.

Revision 1.75  2000/10/18 18:14:33  kloczek
- updated to 2.10.0.31.

Revision 1.74  2000/10/10 14:08:22  kloczek
- adapterized and added using new rpm automation suit.

Revision 1.73  2000/10/10 13:07:32  wiget
- 2.10.0.29

Revision 1.72  2000/08/31 00:59:09  kloczek
- added sparc32 to BuildRequires on sparc, sparc64.

Revision 1.71  2000/08/29 14:12:46  baggins
- updated to 2.10.0.24

Revision 1.70  2000/08/13 23:53:28  baggins
- back to 2.10.0.18, should work now as glibc seems to be fixed

Revision 1.69  2000/08/09 22:36:28  kloczek
- back to 2.10.0.12 (Epoch: 1) because 2.10.0.18 breaks compile glibc
  2.1.3 (compilation fains on i386 with memory fault).

Revision 1.68  2000/07/25 16:14:55  wiget
- 2.10.0.18

Revision 1.67  2000/07/16 23:33:25  kloczek
- updated to 2.10.0.12.

Revision 1.66  2000/06/28 07:28:27  wiget
- 2.10.0.9

Revision 1.65  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.64  2000/06/05 12:10:23  wiget
- 2.9.5.0.46

Revision 1.63  2000/05/30 18:00:09  wiget
- 2.9.5.0.41

Revision 1.62  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.61  2000/05/04 15:04:35  wiget
- updated to binutils 2.9.5.0.37

Revision 1.60  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.59  2000/04/18 19:35:34  kloczek
- release 3.

Revision 1.58  2000/04/18 09:24:09  qboosh
- added flex and bison to BuildRequires

Revision 1.57  2000/04/14 15:58:55  kloczek
- release 2,
- use corectly $RPM_OPT_FLAGS on compiling binutils.

Revision 1.56  2000/04/13 21:30:35  kloczek
- updated to 2.9.5.0.35,
- spec adapterized.

Revision 1.55  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.54  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.53  2000/03/12 03:03:40  kloczek
- de, fr, tr Summary.

Revision 1.52  2000/03/09 21:07:41  kloczek
- new en %description.

Revision 1.51  2000/03/07 19:25:08  baggins
- updated to 2.9.5.0.29

Revision 1.50  1999/12/04 20:41:03  kloczek
- updated to 2.9.5.0.22.

Revision 1.49  1999/11/30 19:48:35  wiget
- 2.9.5.0.21

Revision 1.48  1999/11/10 10:19:54  wiget
- updated

Revision 1.47  1999/10/29 15:56:51  kloczek
- updated to 2.9.5.0.16,
- added /sbin/ldconfig to Prereq and fixed %postun,
- back to using ./configure instead %configure (this need much more work).

Revision 1.46  1999/09/26 19:49:08  kloczek
- added using %configure macro.

Revision 1.45  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.44  1999/09/17 15:06:36  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.43  1999/09/14 22:10:51  wiget
- updated to 2.9.5.0.12

Revision 1.42  1999/09/09 20:28:03  wiget
- upgrade to 2.9.5.0.11

Revision 1.41  1999/08/23 19:27:34  wiget
- updated to 2.9.5.0.8 (test release)
- disabled info.patch (need update)

Revision 1.40  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).
